body 
{
  background-image: url("/img/gym_fundo.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  text-align: center;
  overflow:hidden;
  margin: 0;
  padding: 0;
}

.credit-box 
{
  margin: 20px;
}

.credit-box .number 
{
  width: 100px;
}

.virtual-keyboard
{
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  z-index:25;
  padding: 5px 0;
  background: rgba(0,0,0,0.7);
  box-shadow: 0 0 50px rgba(0, 0, 0, 0.5);
  user-select: none;
  transition: bottom 0.4s;
}

.virtual-keyboard .number 
{
  height: 45px;
  transition: 0.5s;
  width: 6%;
  max-width: 90px;
  margin: 3px;
  border-radius: 4px;
  border: none;
  background: rgba(255, 255, 255, 1) !important;
  color: black;
  font-size: 1.5rem;
  outline: none;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  vertical-align: top;
  padding: 0;
  -webkit-tap-highlight-color: transparent;
  position: relative;
}

.virtual-keyboard .number:focus 
{
  background: rgb(68,116,137) !important;
  color: white;
  transition: 0.2s;
}

.ui-keyboard-input .active 
{
  outline: none;
  border-color: #9ecaed;
  box-shadow: 0 0 5px #3572a2;
}

nav
{
  margin-top: 2%;
  text-align: center;
}

#partitioned {
  margin-top: 5%;
  margin-left: 35%;
  background: black;
  padding-left: 55px;
  letter-spacing: 42px;
  border: 0;
  width: 28%;
  font-size: 50px;
  text-align: center;
}

#divOuter{
  width: 100%;
  overflow: hidden;
}

/* Ver esse ficheiro caso precise de alterar numero de linhas :
https://codepen.io/thebabydino/pen/mRrPwB */

#separado 
{
  color: black;
  display: block;
  margin: 1em auto;
  border: none;
  padding: 0;
  width: /*7.5ch*/ 13.5ch ;
  /*background: repeating-linear-gradient(90deg, dimgrey 0, dimgrey 1ch, transparent 0, transparent 1.5ch) 0 100%/ /*7ch 13ch 2px no-repeat; */
  font: 5ch droid sans mono, consolas, monospace;
  letter-spacing: 0.5ch;
}

#separado:focus 
{
  outline: none;
  color: #40c4ff;
}

.modal_login 
{
  font-family: 'Rajdhani', sans-serif;
  text-align: center;
  display: block;
  width: 30%;
  height: 100%;
  background: white;
  border-radius: 50px;
  padding: 50px;
  position: relative;
  overflow: auto;
  margin: auto;
  color: black;
}

hr
{
  border: 0;
  height: 1px;
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

.informacao_codigo
{
  margin-top: 10%;            
}

.informacao_codigo .fas
{
  width: 30px;
}

.qr_code
{
  width: 125px;
}

.modalPopup
{
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 9999;
  /* Sit on top */
  padding-top: 1--0px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgb(0, 0, 0);
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

.popup-content
{
  border-radius: 25px;
  background-color: #fefefe;
  margin: 20% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 30%;
  text-align: center;
}

.btnOk_popup {background-image: linear-gradient(to right, #1FA2FF 0%, #12D8FA  51%, #1FA2FF  100%)}
.btnOk_popup {
  margin: auto;
  padding: 10px 40px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;            
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
  display: block;
  border: 0;
}

.btnOk_popup:focus {
  background-position: right center; /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
  outline: 0;
}
